petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPRegisterAll

Registers all of the Krylov subspace methods in the KSP package.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPRegisterAll(void)

Not Collective

### Keywords

KSP, register, all

### See Also

KSPRegisterDestroy()

Level:advanced
Location:src/ksp/ksp/interface/itregis.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages